Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ResourceLocator

    java.lang.Object
      org.codehaus.griffon.runtime.core.ResourceLocator

All Implemented Interfaces:
  ResourceHandler

    public class ResourceLocator
    extends Object

Base implementation of the ResourceHandler interface.

Authors:
  Andres Almiray

Since:
  0.9.5

Constructor Summary
`ResourceLocator()`

Method Summary
`private ClassLoader` | `classLoader()`
`InputStream` | `getResourceAsStream(String name)`
`URL` | `getResourceAsURL(String name)`
`List` | `getResources(String name)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ResourceLocator

    ResourceLocator()

Method Detail

### classLoader

    private ClassLoader classLoader()

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

### getResourceAsURL

    public URL getResourceAsURL(String name)

### getResources

    public List getResources(String name)

Groovy Documentation